Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.dsp.management.configmbeans
Interface ImmutableDataServicesConfigMBean

All Known Subinterfaces:
  DataServicesConfigMBean

    public interface ImmutableDataServicesConfigMBean

Exposes a read-only view of the data services configuration.

Method Summary
`java.util.Map<java.lang.String,AdminDefinedSecureResourceConfig>` | `getAdminDefinedSecureResourceConfigs(java.lang.String dataServiceId)` Returns a non null map of admin defined security config for the passed data service.
`java.util.Set<FunctionRef>` | `getAllFunctionIdsForDataService(java.lang.String dataServiceId)` Returns a list of function ids for all the function configurations for the passed dataservice.
`FunctionConfig` | `getFunctionConfig(FunctionRef functionRef)` Returns the function config for the requested data service and function id.
`java.util.Map<FunctionRef,FunctionConfig>` | `getFunctionConfigs(java.lang.String dataServiceId)` Returns a map of all the functions in the passed data service.
`java.util.Set<java.lang.String>` | `getUserDefinedSecureResources(java.lang.String dataServiceId)` Returns a list of all the user defined security resources.

Method Detail

### getAllFunctionIdsForDataService

    java.util.Set<FunctionRef> getAllFunctionIdsForDataService(java.lang.String dataServiceId)
                                                               throws java.lang.Exception

  Returns a list of function ids for all the function configurations for the passed dataservice.

  Parameters:
    `dataServiceId` -
  Returns:
    a list of function ids for all the function configurations for the passed dataservice
  Throws:
    `java.lang.Exception`

### getFunctionConfig

    FunctionConfig getFunctionConfig(FunctionRef functionRef)
                                     throws java.lang.Exception

  Returns the function config for the requested data service and function id.

  Parameters:
    `functionRef` -
  Returns:
    the function config for the requested data service and function id
  Throws:
    `java.lang.Exception`

### getFunctionConfigs

    java.util.Map<FunctionRef,FunctionConfig> getFunctionConfigs(java.lang.String dataServiceId)
                                                                 throws java.lang.Exception

  Returns a map of all the functions in the passed data service. The map is keys by the function id of the corresponding function.

  Parameters:
    `dataServiceId` -
  Returns:
    a map of all the functions in the passed data service
  Throws:
    `java.lang.Exception`

### getUserDefinedSecureResources

    java.util.Set<java.lang.String> getUserDefinedSecureResources(java.lang.String dataServiceId)
                                                                  throws java.lang.Exception

  Returns a list of all the user defined security resources.

  Parameters:
    `dataServiceId` -
  Returns:
    a list of all the user defined security resources
  Throws:
    `java.lang.Exception`

### getAdminDefinedSecureResourceConfigs

    java.util.Map<java.lang.String,AdminDefinedSecureResourceConfig> getAdminDefinedSecureResourceConfigs(java.lang.String dataServiceId)
                                                                                                          throws java.lang.Exception

  Returns a non null map of admin defined security config for the passed data service. The map is keyed on the xpath of the secured element.

  Parameters:
    `dataServiceId` -
  Returns:
    a non null map of admin defined security config for the passed data service
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.